Package com.documentum.fc.bpm

# Interface IDfXPathCondition

All Superinterfaces:
  `IDfTransitionCondition`

All Known Subinterfaces:
  `IDfXPathConditionEx`

public interface IDfXPathCondition extends IDfTransitionCondition
Describes the properties unique to an XPath transition condition.

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.bpm.IDfTransitionCondition

  `EQ, GE, GT, LE, LT, NE, WORKFLOW_ALIAS, WORKITEM_ALIAS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getXPathExpression()`
  The XPath expression addressing a textual entity within a package component's primary content.
  `String`
  `getXPathValue()`
  Gets the String value (formatted according to XSchema datatype) against which the runtime comparison will be made
  `String`
  `getXSchemaDatatype()`
  The built-in XSchema datatype (for example, gDateTime) that determines how the String value will be interpreted for the runtime comparison.
  `void`
  `setXPathExpression(String xpath)`
  Sets the XPath expression defining the value for runtime comparison.
  `void`
  `setXPathValue(String value)`
  Sets the value (formatted according to XSchema datatype) against which the runtime comparison will be made.
  `void`
  `setXSchemaDatatype(String datatype)`
  Sets the built-in XSchema datatype (for example, gDateTime) that determines how the String value will be interpreted for the runtime comparison.

  ### Methods inherited from interface com.documentum.fc.bpm.IDfTransitionCondition

  `getObjectAlias, getRelationalOperator, isValid, setObjectAlias, setRelationalOperator, toString`

- ## Method Details

  - ### setXPathExpression

    void setXPathExpression(String xpath) throws DfException
    Sets the XPath expression defining the value for runtime comparison.

    Note that the validity of the XPath expression is not assessed until referenced within a transition condition evaluation.
    Parameters:
      `xpath` - a valid XPath expression addressing a textual entity within a package component's primary content
    Throws:
      `DfException` - if a server error occurs

  - ### getXPathExpression

    String getXPathExpression() throws DfException
    The XPath expression addressing a textual entity within a package component's primary content.
    Returns:
      the XPath expression addressing a textual entity within a package component's primary content (might be `null`
    Throws:
      `DfException`

  - ### setXPathValue

    void setXPathValue(String value) throws DfException
    Sets the value (formatted according to XSchema datatype) against which the runtime comparison will be made.
    Parameters:
      `value` - a String value (formatted according to XSchema datatype) for the runtime comparison
    Throws:
      `DfException` - if a server error occurs

  - ### getXPathValue

    String getXPathValue() throws DfException
    Gets the String value (formatted according to XSchema datatype) against which the runtime comparison will be made
    Returns:
      a String value (formatted according to XSchema datatype) for the runtime comparison
    Throws:
      `DfException` - if a server error occurs

  - ### setXSchemaDatatype

    void setXSchemaDatatype(String datatype) throws DfException
    Sets the built-in XSchema datatype (for example, gDateTime) that determines how the String value will be interpreted for the runtime comparison.
    Parameters:
      `datatype` - the built-in XSchema datatype
    Throws:
      `DfException` - if a server error occurs

  - ### getXSchemaDatatype

    String getXSchemaDatatype() throws DfException
    The built-in XSchema datatype (for example, gDateTime) that determines how the String value will be interpreted for the runtime comparison.
    Returns:
      the built-in XSchema datatype
    Throws:
      `DfException` - if a server error occurs